Bug 251307 - alsa-lib has wrong plugin directory "plugindir"
alsa-lib has wrong plugin directory "plugindir"
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-08 05:52 EDT by Andreas Müller
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.0.14-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-19 03:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix plugindir, taken from upstream bug report. (418 bytes, patch)
2007-08-08 05:52 EDT, Andreas Müller
no flags Details | Diff
New patch, this time for configure. (305 bytes, patch)
2007-08-16 08:54 EDT, Andreas Müller
no flags Details | Diff
alsa-lib 1.0.14->1.0.14a (2.80 KB, patch)
2007-08-18 11:32 EDT, Giandomenico De Tullio
no flags Details | Diff

  None (edit)
Description Andreas Müller 2007-08-08 05:52:07 EDT
Description of problem:
Due to a bug (typo) in the configure script of alsa-lib, the plugin directory is
set to "plugindir" (instead of "/usr/lib/alsa-lib") during the build.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install alsa-lib-1.0.14-1.fc7.
2. Try to use a plugin, e.g. the pulseaudio plugin.

Actual results:
The plugin cannot be used because it won't be found in the non-exististing
directory named "plugindir".

Expected results:
Working plugins.

Additional info:
Upstream released version 1.0.14a to fix this.
Changelog: http://www.alsa-project.org/changes/v1-0-14--v1-0-14a.txt
Upstream bug report: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3148

Please upgrade to 1.0.14a or use the patch from the upstream bug.
Comment 1 Andreas Müller 2007-08-08 05:52:08 EDT
Created attachment 160892 [details]
Patch to fix plugindir, taken from upstream bug report.
Comment 2 Martin Stransky 2007-08-16 06:57:00 EDT
Fixed in alsa-lib-1.0.14-2.fc8, thanks.
Comment 3 Andreas Müller 2007-08-16 07:59:23 EDT
Is there any chance to get this released as an update for F7?
Comment 4 Martin Stransky 2007-08-16 08:31:06 EDT
it's here - alsa-lib-1.0.14-2.fc7
Comment 5 Andreas Müller 2007-08-16 08:52:34 EDT
Installed it from koji, but it doesn't work as expected, unlike my local build
which was based on 1.0.14a. I did a bit of research and noticed that the patch
only fixes configure.in, which of course won't be used during a normal build
process, so that's (partly) my fault. Sorry for the trouble, hoping to get this
fixed before the next version of alsa-lib is released...

I'll attach a new patch based on the actual diff between the configure files of
version 1.0.14 and 1.0.14a.
Comment 6 Andreas Müller 2007-08-16 08:54:56 EDT
Created attachment 161649 [details]
New patch, this time for configure.
Comment 7 Martin Stransky 2007-08-16 08:55:30 EDT
Don't mind, I'll update to 1.0.14a.
Comment 8 Andreas Müller 2007-08-16 11:42:21 EDT
I installed the new rpm from koji, now it is working, thanks. Closing bug again
as builds for F7 and F8 were successful within koji.
Comment 9 Fedora Update System 2007-08-17 12:14:49 EDT
alsa-lib-1.0.14-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Giandomenico De Tullio 2007-08-18 11:32:06 EDT
Created attachment 161798 [details]
alsa-lib 1.0.14->1.0.14a
Comment 11 Giandomenico De Tullio 2007-08-18 11:36:24 EDT
Problem persist.

# rpm -q alsa-lib

Please, when patch configure.in  update configure script too.

previous patch is ~2KiB long  :) not much, i think.
Comment 12 Martin Stransky 2007-08-19 03:18:35 EDT
it's fixed in alsa-lib-1.0.14-3.fc7 (update to 1.0.14a)

Note You need to log in before you can comment on or make changes to this bug.